Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.mbeans
Class TCPIPMBeanProperties

    java.lang.Object
      com.stc.connector.tcpip.model.mbeans.TCPIPMBeanProperties

Direct Known Subclasses:
  HL7MBeanProperties

    public class TCPIPMBeanProperties

extends java.lang.Object

Holds the TCP/IP specific property names.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/23 07:15:18 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `LAST_RECEIVE_OPERATION_TIMESTAMP`
`static java.lang.String` | `LAST_RECEIVE_OPERATION_TIMESTAMP_DESC`
`static java.lang.String` | `LAST_SEND_OPERATION_TIMESTAMP`
`static java.lang.String` | `LAST_SEND_OPERATION_TIMESTAMP_DESC`
`static java.lang.String` | `MANAGED_CONNECTION_FACTORY_STATUS`
`static java.lang.String` | `MANAGED_CONNECTION_FACTORY_STATUS_DESC`
`static java.lang.String` | `MANAGED_CONNECTION_STATUS`
`static java.lang.String` | `MANAGED_CONNECTION_STATUS_DESC`
`static java.lang.String` | `version`

Constructor Summary
`TCPIPMBeanProperties()`

Method Summary
`boolean` | `isValidProperty(java.lang.String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### LAST_SEND_OPERATION_TIMESTAMP

    public static final java.lang.String LAST_SEND_OPERATION_TIMESTAMP

See Also:
  Constant Field Values

### LAST_RECEIVE_OPERATION_TIMESTAMP

    public static final java.lang.String LAST_RECEIVE_OPERATION_TIMESTAMP

See Also:
  Constant Field Values

### MANAGED_CONNECTION_STATUS

    public static final java.lang.String MANAGED_CONNECTION_STATUS

See Also:
  Constant Field Values

### MANAGED_CONNECTION_FACTORY_STATUS

    public static final java.lang.String MANAGED_CONNECTION_FACTORY_STATUS

See Also:
  Constant Field Values

### LAST_SEND_OPERATION_TIMESTAMP_DESC

    public static final java.lang.String LAST_SEND_OPERATION_TIMESTAMP_DESC

See Also:
  Constant Field Values

### LAST_RECEIVE_OPERATION_TIMESTAMP_DESC

    public static final java.lang.String LAST_RECEIVE_OPERATION_TIMESTAMP_DESC

See Also:
  Constant Field Values

### MANAGED_CONNECTION_STATUS_DESC

    public static final java.lang.String MANAGED_CONNECTION_STATUS_DESC

See Also:
  Constant Field Values

### MANAGED_CONNECTION_FACTORY_STATUS_DESC

    public static final java.lang.String MANAGED_CONNECTION_FACTORY_STATUS_DESC

See Also:
  Constant Field Values

Constructor Detail

### TCPIPMBeanProperties

    public TCPIPMBeanProperties()

Method Detail

### isValidProperty

    public boolean isValidProperty(java.lang.String propertyName)

  Parameters:
    `propertyName` - property name to check
  Returns:
    a boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD